%define upstream_name    Eval-Compile
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Eval-Compile-0.11-fix-build.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Faster replacement for string evals. It takes evaled strings and compiles
into specific perl sub with some data, and do it once for any given string
So next execution take a fraction of first eval to execute.

%prep
%setup -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.110.0-11pclos2017
- rebuild against updates

